![RISK](docs/logo/logo.png)

![GitHub release (latest by date)](https://img.shields.io/github/v/release/jtsoya539/risk)

Bienvenido/a al repositorio del Proyecto RISK.

# Introducción
RISK es una colección de objetos de Base de Datos Oracle (paquetes, types, tablas, entre otros) y una API web ASP.NET Core, que sigue el paradigma ["Thick Database"](https://www.oracle.com/a/tech/docs/why-use-plsql-whitepaper-10.pdf) y sirve como plantilla para el back-end de cualquier aplicación.

# Características
* Operaciones (Servicios Web, Reportes, Trabajos, Monitoreos): Parámetros, Logs, Paginación
* Configuración: Módulos, Dominios, Aplicaciones, Parámetros, Significados, Archivos, Datos Adicionales, Migraciones
* Autenticación: Personas, Usuarios, Claves, Sesiones, Dispositivos
* Autorización: Roles, Permisos
* Globalización: Países, Departamentos, Ciudades, Barrios, Monedas, Idiomas, Textos
* Reportes en formatos PDF, DOCX, XLSX, CSV, HTML
* Mensajería a través de Correo electrónico (E-mail), Mensaje de texto (SMS) y Notificación push
* Definición de interfaz HTTP con la especificación OpenAPI (Swagger)

# Documentación
La documentación está disponible en la carpeta [docs](/docs/) del repositorio, o en línea en https://jtsoya539.github.io/risk/. La documentación generada de la API PL/SQL se puede consultar en https://jtsoya539.github.io/risk/database/plsqldoc/index.html.

# Estructura del Repositorio
* **[/docs/](/docs/)** Archivos de documentación
* **[/source/](/source/)** Archivos de código fuente separados en Base de Datos y Back-End
* **[/test/](/test/)** Archivos de pruebas unitarias y extras

# Autores
* Javier Meza ([github.com/jtsoya539](https://github.com/jtsoya539))
* Damián Meza ([github.com/DamyGenius](https://github.com/DamyGenius))

# Sugerencias
Si tenés alguna duda o consulta, o querés reportar un error en el código o en la documentación, creá un nuevo [issue](https://github.com/jtsoya539/risk/issues).

# Contribuciones
Cualquier contribución es siempre bienvenida. Si querés corregir un error o agregar una nueva característica, creá un [pull request](https://github.com/jtsoya539/risk/pulls).

# Licencia
El Proyecto RISK está licenciado bajo la licencia MIT. Ver el archivo [LICENSE](/LICENSE) para más detalles.