# openapi-java-client

Risk.API

- API version: v0.1.0

- Build date: 2023-12-16T18:46:01.852-03:00[America/Asuncion]

Risk Web API

  For more information, please visit [https://github.com/jtsoya539](https://github.com/jtsoya539)

*Automatically generated by the [OpenAPI Generator](https://openapi-generator.tech)*

## Requirements

Building the API client library requires:

1. Java 1.8+
2. Maven/Gradle

## Installation

To install the API client library to your local Maven repository, simply execute:

```shell
mvn clean install
```

To deploy it to a remote Maven repository instead, configure the settings of the repository and execute:

```shell
mvn clean deploy
```

Refer to the [OSSRH Guide](http://central.sonatype.org/pages/ossrh-guide.html) for more information.

### Maven users

Add this dependency to your project's POM:

```xml
<dependency>
  <groupId>org.openapitools</groupId>
  <artifactId>openapi-java-client</artifactId>
  <version>v0.1.0</version>
  <scope>compile</scope>
</dependency>
```

### Gradle users

Add this dependency to your project's build file:

```groovy
  repositories {
    mavenCentral()     // Needed if the 'openapi-java-client' jar has been published to maven central.
    mavenLocal()       // Needed if the 'openapi-java-client' jar has been published to the local maven repo.
  }

  dependencies {
     implementation "org.openapitools:openapi-java-client:v0.1.0"
  }
```

### Others

At first generate the JAR by executing:

```shell
mvn clean package
```

Then manually install the following JARs:

- `target/openapi-java-client-v0.1.0.jar`
- `target/lib/*.jar`

## Getting Started

Please follow the [installation](#installation) instruction and execute the following Java code:

```java

import org.openapitools.client.*;
import org.openapitools.client.auth.*;
import org.openapitools.client.model.*;
import org.openapitools.client.api.AutApi;

public class AutApiExample {

    public static void main(String[] args) {
        ApiClient defaultClient = Configuration.getDefaultApiClient();
        defaultClient.setBasePath("https://localhost:5001");
        
        AutApi apiInstance = new AutApi(defaultClient);
        String key = "key_example"; // String | Clave para la activación
        String riskDeviceToken = "riskDeviceToken_example"; // String | Token del dispositivo desde el cual se realiza la petición
        String riskServiceVersion = "riskServiceVersion_example"; // String | Versión del servicio
        try {
            DatoRespuesta result = apiInstance.activarUsuario(key, riskDeviceToken, riskServiceVersion);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling AutApi#activarUsuario");
            System.err.println("Status code: " + e.getCode());
            System.err.println("Reason: " + e.getResponseBody());
            System.err.println("Response headers: " + e.getResponseHeaders());
            e.printStackTrace();
        }
    }
}

```

## Documentation for API Endpoints

All URIs are relative to *https://localhost:5001*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AutApi* | [**activarUsuario**](docs/AutApi.md#activarUsuario) | **GET** /Aut/ActivarUsuario | ActivarUsuario
*AutApi* | [**cambiarClaveAcceso**](docs/AutApi.md#cambiarClaveAcceso) | **POST** /Api/Aut/CambiarClaveAcceso | CambiarClaveAcceso
*AutApi* | [**cambiarClaveTransaccional**](docs/AutApi.md#cambiarClaveTransaccional) | **POST** /Api/Aut/CambiarClaveTransaccional | CambiarClaveTransaccional
*AutApi* | [**datosUsuario**](docs/AutApi.md#datosUsuario) | **GET** /Api/Aut/DatosUsuario | DatosUsuario
*AutApi* | [**editarDatoUsuario**](docs/AutApi.md#editarDatoUsuario) | **POST** /Api/Aut/EditarDatoUsuario | EditarDatoUsuario
*AutApi* | [**editarUsuario**](docs/AutApi.md#editarUsuario) | **POST** /Api/Aut/EditarUsuario | EditarUsuario
*AutApi* | [**eliminarUsuario**](docs/AutApi.md#eliminarUsuario) | **POST** /Api/Aut/EliminarUsuario | EliminarUsuario
*AutApi* | [**finalizarSesion**](docs/AutApi.md#finalizarSesion) | **POST** /Api/Aut/FinalizarSesion | FinalizarSesion
*AutApi* | [**generarOtp**](docs/AutApi.md#generarOtp) | **POST** /Api/Aut/GenerarOtp | GenerarOtp
*AutApi* | [**guardarAvatarUsuario**](docs/AutApi.md#guardarAvatarUsuario) | **POST** /Api/Aut/GuardarAvatarUsuario | GuardarAvatarUsuario
*AutApi* | [**iniciarSesion**](docs/AutApi.md#iniciarSesion) | **POST** /Api/Aut/IniciarSesion | IniciarSesion
*AutApi* | [**iniciarSesionFacebook**](docs/AutApi.md#iniciarSesionFacebook) | **POST** /Api/Aut/IniciarSesionFacebook | IniciarSesionFacebook
*AutApi* | [**iniciarSesionGoogle**](docs/AutApi.md#iniciarSesionGoogle) | **POST** /Api/Aut/IniciarSesionGoogle | IniciarSesionGoogle
*AutApi* | [**recuperarAvatarUsuario**](docs/AutApi.md#recuperarAvatarUsuario) | **GET** /Api/Aut/RecuperarAvatarUsuario | RecuperarAvatarUsuario
*AutApi* | [**refrescarSesion**](docs/AutApi.md#refrescarSesion) | **POST** /Api/Aut/RefrescarSesion | RefrescarSesion
*AutApi* | [**refrescarSesionFacebook**](docs/AutApi.md#refrescarSesionFacebook) | **POST** /Api/Aut/RefrescarSesionFacebook | RefrescarSesionFacebook
*AutApi* | [**refrescarSesionGoogle**](docs/AutApi.md#refrescarSesionGoogle) | **POST** /Api/Aut/RefrescarSesionGoogle | RefrescarSesionGoogle
*AutApi* | [**registrarClaveTransaccional**](docs/AutApi.md#registrarClaveTransaccional) | **POST** /Api/Aut/RegistrarClaveTransaccional | RegistrarClaveTransaccional
*AutApi* | [**registrarDispositivo**](docs/AutApi.md#registrarDispositivo) | **POST** /Api/Aut/RegistrarDispositivo | RegistrarDispositivo
*AutApi* | [**registrarUbicacion**](docs/AutApi.md#registrarUbicacion) | **POST** /Api/Aut/RegistrarUbicacion | RegistrarUbicacion
*AutApi* | [**registrarUsuario**](docs/AutApi.md#registrarUsuario) | **POST** /Api/Aut/RegistrarUsuario | RegistrarUsuario
*AutApi* | [**validarOtp**](docs/AutApi.md#validarOtp) | **GET** /Api/Aut/ValidarOtp | ValidarOtp
*AutApi* | [**validarPermiso**](docs/AutApi.md#validarPermiso) | **GET** /Api/Aut/ValidarPermiso | ValidarPermiso
*AutApi* | [**validarSesion**](docs/AutApi.md#validarSesion) | **GET** /Api/Aut/ValidarSesion | ValidarSesion
*GenApi* | [**guardarArchivo**](docs/GenApi.md#guardarArchivo) | **POST** /Api/Gen/GuardarArchivo | GuardarArchivo
*GenApi* | [**listarAplicaciones**](docs/GenApi.md#listarAplicaciones) | **GET** /Api/Gen/ListarAplicaciones | ListarAplicaciones
*GenApi* | [**listarErrores**](docs/GenApi.md#listarErrores) | **GET** /Api/Gen/ListarErrores | ListarErrores
*GenApi* | [**listarSignificados**](docs/GenApi.md#listarSignificados) | **GET** /Api/Gen/ListarSignificados | ListarSignificados
*GenApi* | [**recuperarArchivo**](docs/GenApi.md#recuperarArchivo) | **GET** /Api/Gen/RecuperarArchivo | RecuperarArchivo
*GenApi* | [**recuperarTexto**](docs/GenApi.md#recuperarTexto) | **GET** /Api/Gen/RecuperarTexto | RecuperarTexto
*GenApi* | [**reporteListarSignificados**](docs/GenApi.md#reporteListarSignificados) | **GET** /Api/Gen/ReporteListarSignificados | ReporteListarSignificados
*GenApi* | [**reporteVersionSistema**](docs/GenApi.md#reporteVersionSistema) | **GET** /Api/Gen/ReporteVersionSistema | ReporteVersionSistema
*GenApi* | [**significadoCodigo**](docs/GenApi.md#significadoCodigo) | **GET** /Api/Gen/SignificadoCodigo | SignificadoCodigo
*GenApi* | [**valorParametro**](docs/GenApi.md#valorParametro) | **GET** /Api/Gen/ValorParametro | ValorParametro
*GenApi* | [**versionServicio**](docs/GenApi.md#versionServicio) | **GET** /Api/Gen/VersionServicio | VersionServicio
*GenApi* | [**versionSistema**](docs/GenApi.md#versionSistema) | **GET** /Gen/VersionSistema | VersionSistema
*GloApi* | [**listarBarrios**](docs/GloApi.md#listarBarrios) | **GET** /Api/Glo/ListarBarrios | ListarBarrios
*GloApi* | [**listarCiudades**](docs/GloApi.md#listarCiudades) | **GET** /Api/Glo/ListarCiudades | ListarCiudades
*GloApi* | [**listarDepartamentos**](docs/GloApi.md#listarDepartamentos) | **GET** /Api/Glo/ListarDepartamentos | ListarDepartamentos
*GloApi* | [**listarPaises**](docs/GloApi.md#listarPaises) | **GET** /Api/Glo/ListarPaises | ListarPaises
*MsjApi* | [**activarMensajeria**](docs/MsjApi.md#activarMensajeria) | **POST** /Api/Msj/ActivarMensajeria | ActivarMensajeria
*MsjApi* | [**cambiarEstadoMensajeria**](docs/MsjApi.md#cambiarEstadoMensajeria) | **POST** /Api/Msj/CambiarEstadoMensajeria | CambiarEstadoMensajeria
*MsjApi* | [**desactivarMensajeria**](docs/MsjApi.md#desactivarMensajeria) | **POST** /Api/Msj/DesactivarMensajeria | DesactivarMensajeria
*MsjApi* | [**listarCorreosPendientes**](docs/MsjApi.md#listarCorreosPendientes) | **GET** /Api/Msj/ListarCorreosPendientes | ListarCorreosPendientes
*MsjApi* | [**listarMensajesPendientes**](docs/MsjApi.md#listarMensajesPendientes) | **GET** /Api/Msj/ListarMensajesPendientes | ListarMensajesPendientes
*MsjApi* | [**listarNotificacionesPendientes**](docs/MsjApi.md#listarNotificacionesPendientes) | **GET** /Api/Msj/ListarNotificacionesPendientes | ListarNotificacionesPendientes
*RepApi* | [**reporteListarSignificados**](docs/RepApi.md#reporteListarSignificados) | **GET** /Api/Gen/ReporteListarSignificados | ReporteListarSignificados
*RepApi* | [**reporteVersionSistema**](docs/RepApi.md#reporteVersionSistema) | **GET** /Api/Gen/ReporteVersionSistema | ReporteVersionSistema


## Documentation for Models

 - [AccionPermiso](docs/AccionPermiso.md)
 - [Aplicacion](docs/Aplicacion.md)
 - [AplicacionPagina](docs/AplicacionPagina.md)
 - [AplicacionPaginaRespuesta](docs/AplicacionPaginaRespuesta.md)
 - [Archivo](docs/Archivo.md)
 - [Barrio](docs/Barrio.md)
 - [BarrioPagina](docs/BarrioPagina.md)
 - [BarrioPaginaRespuesta](docs/BarrioPaginaRespuesta.md)
 - [CambiarClaveAccesoRequestBody](docs/CambiarClaveAccesoRequestBody.md)
 - [CambiarClaveTransaccionalRequestBody](docs/CambiarClaveTransaccionalRequestBody.md)
 - [CambiarEstadoMensajeriaRequestBody](docs/CambiarEstadoMensajeriaRequestBody.md)
 - [Ciudad](docs/Ciudad.md)
 - [CiudadPagina](docs/CiudadPagina.md)
 - [CiudadPaginaRespuesta](docs/CiudadPaginaRespuesta.md)
 - [Correo](docs/Correo.md)
 - [CorreoPagina](docs/CorreoPagina.md)
 - [CorreoPaginaRespuesta](docs/CorreoPaginaRespuesta.md)
 - [Dato](docs/Dato.md)
 - [DatoRespuesta](docs/DatoRespuesta.md)
 - [Departamento](docs/Departamento.md)
 - [DepartamentoPagina](docs/DepartamentoPagina.md)
 - [DepartamentoPaginaRespuesta](docs/DepartamentoPaginaRespuesta.md)
 - [Dispositivo](docs/Dispositivo.md)
 - [EditarDatoUsuarioRequestBody](docs/EditarDatoUsuarioRequestBody.md)
 - [EditarUsuarioRequestBody](docs/EditarUsuarioRequestBody.md)
 - [EliminarUsuarioRequestBody](docs/EliminarUsuarioRequestBody.md)
 - [Error](docs/Error.md)
 - [ErrorPagina](docs/ErrorPagina.md)
 - [ErrorPaginaRespuesta](docs/ErrorPaginaRespuesta.md)
 - [EstadoMensajeria](docs/EstadoMensajeria.md)
 - [EstadoSesion](docs/EstadoSesion.md)
 - [EstadoUsuario](docs/EstadoUsuario.md)
 - [FinalizarSesionRequestBody](docs/FinalizarSesionRequestBody.md)
 - [FormatoReporte](docs/FormatoReporte.md)
 - [IniciarSesionFacebookRequestBody](docs/IniciarSesionFacebookRequestBody.md)
 - [IniciarSesionGoogleRequestBody](docs/IniciarSesionGoogleRequestBody.md)
 - [IniciarSesionRequestBody](docs/IniciarSesionRequestBody.md)
 - [Mensaje](docs/Mensaje.md)
 - [MensajePagina](docs/MensajePagina.md)
 - [MensajePaginaRespuesta](docs/MensajePaginaRespuesta.md)
 - [Notificacion](docs/Notificacion.md)
 - [NotificacionPagina](docs/NotificacionPagina.md)
 - [NotificacionPaginaRespuesta](docs/NotificacionPaginaRespuesta.md)
 - [OrigenSesion](docs/OrigenSesion.md)
 - [Pais](docs/Pais.md)
 - [PaisPagina](docs/PaisPagina.md)
 - [PaisPaginaRespuesta](docs/PaisPaginaRespuesta.md)
 - [Plantilla](docs/Plantilla.md)
 - [RefrescarSesionFacebookRequestBody](docs/RefrescarSesionFacebookRequestBody.md)
 - [RefrescarSesionGoogleRequestBody](docs/RefrescarSesionGoogleRequestBody.md)
 - [RefrescarSesionRequestBody](docs/RefrescarSesionRequestBody.md)
 - [RegistrarClaveTransaccionalRequestBody](docs/RegistrarClaveTransaccionalRequestBody.md)
 - [RegistrarDispositivoRequestBody](docs/RegistrarDispositivoRequestBody.md)
 - [RegistrarUbicacionRequestBody](docs/RegistrarUbicacionRequestBody.md)
 - [RegistrarUsuarioRequestBody](docs/RegistrarUsuarioRequestBody.md)
 - [Rol](docs/Rol.md)
 - [Sesion](docs/Sesion.md)
 - [SesionRespuesta](docs/SesionRespuesta.md)
 - [Significado](docs/Significado.md)
 - [SignificadoPagina](docs/SignificadoPagina.md)
 - [SignificadoPaginaRespuesta](docs/SignificadoPaginaRespuesta.md)
 - [TipoAplicacion](docs/TipoAplicacion.md)
 - [TipoDispositivo](docs/TipoDispositivo.md)
 - [TipoMensajeria](docs/TipoMensajeria.md)
 - [Usuario](docs/Usuario.md)
 - [UsuarioRespuesta](docs/UsuarioRespuesta.md)


<a id="documentation-for-authorization"></a>
## Documentation for Authorization


Authentication schemes defined for the API:
<a id="RiskAppKey"></a>
### RiskAppKey


- **Type**: API key
- **API key parameter name**: Risk-App-Key
- **Location**: HTTP header

<a id="AccessToken"></a>
### AccessToken


- **Type**: HTTP basic authentication


## Recommendation

It's recommended to create an instance of `ApiClient` per thread in a multithreaded environment to avoid any potential issues.

## Author

javier.meza.py@gmail.com

